Bug non FTB Tech help please

V

Vulpes

Guest
I'm working on a modpack for my husband; I'm working on adding mods he enjoys along with making it a machine/factory/industrial type pack.

This crash report
The game crashed whilst initializing game
Error: java.lang.Error: java.lang.reflect.InvocationTargetException

the notepad full crash report is

* The RF API that is being used (1.5.0 from (guessing) null) differes from that that is reported as being loaded (1.8.9R1.2.0B1 from mcjtylib-1.1x-2.4.3.jar).

I have no idea how to fix this.
 

sgbros1

New Member
Jul 29, 2019
952
-4
0
I'm pretty sure that's not the full log.

Upload the full log to pastebin and post the link here
 
V

Vulpes

Guest
Sorry I didn't word it properly. I meant thats the bit that is the start before it gives a massive list
 

Henry Link

Popular Member
Dec 23, 2012
2,604
553
128
USA - East Coast
So, normally I would say ender zoo is the issue here. Since they are the ones that add Slimes listed below.

at slimeknights.mantle.pulsar.internal.BusExceptionHandler.handle(BusExceptionHandler.java:30)

Did you add that mod at onepoint and then remove it?
 
  • Like
Reactions: Robijnvogel

Robijnvogel

Well-Known Member
May 8, 2013
533
418
89
So, normally I would say ender zoo is the issue here. Since they are the ones that add Slimes listed below.

at slimeknights.mantle.pulsar.internal.BusExceptionHandler.handle(BusExceptionHandler.java:30)

Did you add that mod at onepoint and then remove it?
That sounds more like Tinkers' Mantle to me.
All RF mods seem to be errorring during startup.

Maybe this is a signature, maybe it is not. Who knows?
 
V

Vulpes

Guest
Sorry, I was away and tapatalk only lets me read threads.

I removed all but the mods that were 100% to the pack and it worked okay, found the problem was futurepacl or its associated library dependent. It also crashes when I try to add Immersive Engineering along with immersive petroleum.

Just going to have to test after each mod. Trying to make him an industrial world RPG adventure pack.
 

Mordenkainen

New Member
Jul 29, 2019
368
0
0
It sounds like the COFH Redstone Flux API contained in mcjtylib is not the one expected by other mods like mantle.

Some unusual things I notice in your log are a few mods tagged as 1.9.4 mods, which could be ok, but I would make sure you have the proper versions installed.

As far as the error, its very strange because the mcjtylib version is higher than the one COFH have posted for 1.10.2, and the 1.5 version requested by Mantle is lower.

If you are willing to experiment a little, make a backup of mcjtylib file somewhere outside the mods folder, then open the original in Winrar and delete the COFH folder. Save the file, overwriting the original and see if MC launches.
 

Robijnvogel

Well-Known Member
May 8, 2013
533
418
89
It sounds like the COFH Redstone Flux API contained in mcjtylib is not the one expected by other mods like mantle.

Some unusual things I notice in your log are a few mods tagged as 1.9.4 mods, which could be ok, but I would make sure you have the proper versions installed.

As far as the error, its very strange because the mcjtylib version is higher than the one COFH have posted for 1.10.2, and the 1.5 version requested by Mantle is lower.

If you are willing to experiment a little, make a backup of mcjtylib file somewhere outside the mods folder, then open the original in Winrar and delete the COFH folder. Save the file, overwriting the original and see if MC launches.
From experience, I know that an unexpected version of an RF API is always mentioned in a crash log, but that warning has nothing to do with the actual cause of the crash way more often than it does.

It seems like Vulpes has the right gist of what to do now, however @Vulpes , maybe it would be more efficient to test half of your pack at once, rather than each mod separately. That would require way less Minecraft restarts with way less Minecraft mods installed at once on average.

See the culprit filtering section of my guide.
 
  • Like
Reactions: Vulpes